-- ----------------------------
-- 人员发现记录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_realtime_dataflow`;
CREATE TABLE mortals_xhx_realtime_dataflow(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `personId` bigint(20) NOT NULL     COMMENT '人员id',
    `name` varchar(255)      COMMENT '姓名',
    `device` varchar(255)      COMMENT '监测设备',
    `detectTime` datetime NOT NULL     COMMENT '监测时间',
    `contact` varchar(255)      COMMENT '联系方式',
    `idNumber` varchar(255) NOT NULL     COMMENT '身份证号码',
    `isBooking` tinyint(1) NOT NULL   DEFAULT '0'  COMMENT '是否预约(0.否，1.是)',
    `queueNum` varchar(255) NOT NULL     COMMENT '排队编码',
    `location` varchar(255) NOT NULL     COMMENT '办理位置',
    `picture` varchar(255)      COMMENT '识别截图',
    `picUri` varchar(255)      COMMENT '相对图片pic',
    `serverIndexCode` varchar(255)      COMMENT '图片资源唯一标识',
    `eventId` varchar(255)      COMMENT '事件id',
    `eventType` bigint(20) NOT NULL     COMMENT '事件类型',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人id',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人id',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='人员发现记录';

-- ----------------------------
-- 预约签到记录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_appointment_records`;
CREATE TABLE mortals_xhx_appointment_records(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `personId` bigint(20) NOT NULL     COMMENT '人员id',
    `name` varchar(50)      COMMENT '姓名',
    `contactInfo` varchar(50)      COMMENT '联系方式',
    `idNumber` varchar(50)      COMMENT '身份证号码',
    `reservationService` varchar(50)      COMMENT '预约业务',
    `reservationNumber` varchar(50)      COMMENT '预约编号',
    `monitorTime` datetime      COMMENT '监测时间',
    `monitorDeviceId` bigint(20)      COMMENT '监测设备id',
    `monitorDevice` varchar(50)      COMMENT '监测设备',
    `checkInMethod` tinyint(1)    DEFAULT '0'  COMMENT '签到方式(0.自动签到，1.手动签到)',
    `monitorCertificate` varchar(255)      COMMENT '监测凭证',
    `appointmentStatus` tinyint(1)    DEFAULT '0'  COMMENT '预约取号状态(0.未取号，1.取号中，2.取号完成)',
    `flowNum` varchar(255)      COMMENT '取号号码',
    `flowTime` datetime      COMMENT '取号时间',
    `picUri` varchar(255)      COMMENT '监控相对图片pic',
    `serverIndexCode` varchar(255)      COMMENT '图片资源唯一标识',
    `createUserId` bigint(20)      COMMENT '创建人id',
    `createTime` datetime      COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新人id',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='预约签到记录';
-- ----------------------------
-- 预约关怀记录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_care_records`;
CREATE TABLE mortals_xhx_care_records(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `personId` bigint(20)      COMMENT '个人信息ID',
    `name` varchar(50)      COMMENT '姓名',
    `contact` varchar(50)      COMMENT '联系方式',
    `idCard` varchar(18)      COMMENT '身份证号码',
    `bussinessId` bigint(20)      COMMENT '业务Id',
    `bussinessName` varchar(255)      COMMENT '预约业务',
    `service` varchar(50)      COMMENT '办理业务',
    `queueNo` varchar(20)      COMMENT '排队编号',
    `takeTime` datetime      COMMENT '排队开始时间',
    `callTime` datetime      COMMENT '排队结束时间',
    `monitorTime` datetime      COMMENT '监测时间',
    `monitorDeviceIds` varchar(128)      COMMENT '监测设备ids',
    `monitorDevice` varchar(50)      COMMENT '监测设备',
    `waitTime` int(4)      COMMENT '最终等待时长，秒',
    `processStatus` varchar(20)    DEFAULT '排队中'  COMMENT '办理状态(排队中,办理中,接件结束)',
    `careCount` int(4)    DEFAULT '0'  COMMENT '关怀次数',
    `assessment` varchar(255)      COMMENT '评价',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人ID',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人ID',
    `smsCount` int(4)    DEFAULT '0'  COMMENT '短信发送次数',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='预约关怀记录';




-- ----------------------------
-- 预约自动签到配置表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_appointment_config`;
CREATE TABLE mortals_xhx_appointment_config(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `used` tinyint(1)    DEFAULT '0'  COMMENT '是否启用该服务(0.否,1.是)',
    `monday` tinyint(1)    DEFAULT '0'  COMMENT '周一是否监测(0.否,1.是)',
    `tuesday` tinyint(1)    DEFAULT '0'  COMMENT '周二是否监测(0.否,1.是)',
    `wednesday` tinyint(1)    DEFAULT '0'  COMMENT '周三是否监测(0.否,1.是)',
    `thursday` tinyint(1)    DEFAULT '0'  COMMENT '周四是否监测(0.否,1.是)',
    `friday` tinyint(1)    DEFAULT '0'  COMMENT '周五是否监测(0.否,1.是)',
    `saturday` tinyint(1)    DEFAULT '0'  COMMENT '周六是否监测(0.否,1.是)',
    `sunday` tinyint(1)    DEFAULT '0'  COMMENT '周日是否监测(0.否,1.是)',
    `maxServicePersonNum` int(4)    DEFAULT '0'  COMMENT '单日服务最大人数设置',
    `alertServiceNum` int(4)      COMMENT '累计服务频次预警',
    `remark` varchar(255)      COMMENT '备注',
    `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
    `createTime` datetime NOT NULL     COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='预约自动签到配置';
-- ----------------------------
-- 预约自动签到配置时间段表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_appointment_config_times`;
CREATE TABLE mortals_xhx_appointment_config_times(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
    `aotoCheckCfgId` bigint(20)      COMMENT '自动签到配置id',
    `serviceTimeStart` datetime NOT NULL     COMMENT '时间段时候开始时间',
    `serviceTimeEnd` datetime NOT NULL     COMMENT '时间段结束时间',
    `remark` varchar(255)      COMMENT '备注',
    `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
    `createTime` datetime NOT NULL     COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='预约自动签到配置时间段';
-- ----------------------------
-- 主动关怀配置表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_care_config`;
CREATE TABLE mortals_xhx_care_config(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `used` tinyint(1)    DEFAULT '0'  COMMENT '是否启用该服务(0.否,1.是)',
    `monday` tinyint(1)    DEFAULT '0'  COMMENT '周一是否监测(0.否,1.是)',
    `tuesday` tinyint(1)    DEFAULT '0'  COMMENT '周二是否监测(0.否,1.是)',
    `wednesday` tinyint(1)    DEFAULT '0'  COMMENT '周三是否监测(0.否,1.是)',
    `thursday` tinyint(1)    DEFAULT '0'  COMMENT '周四是否监测(0.否,1.是)',
    `friday` tinyint(1)    DEFAULT '0'  COMMENT '周五是否监测(0.否,1.是)',
    `saturday` tinyint(1)    DEFAULT '0'  COMMENT '周六是否监测(0.否,1.是)',
    `sunday` tinyint(1)    DEFAULT '0'  COMMENT '周日是否监测(0.否,1.是)',
    `maxServicePersonNum` int(4)    DEFAULT '0'  COMMENT '单日服务最大人数设置',
    `serviceThreshold` int(11) NOT NULL   DEFAULT '0'  COMMENT '服务阈值设置，单位分钟',
    `alertServiceNum` int(4)      COMMENT '累计服务频次预警',
    `msgRecipients` varchar(255) NOT NULL     COMMENT '消息发送对象(办事群众.办事群众,管理员.管理员)',
    `remark` varchar(255)      COMMENT '备注',
    `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
    `createTime` datetime NOT NULL     COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动关怀配置';
-- ----------------------------
-- 主动关怀时间段表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_care_config_times`;
CREATE TABLE mortals_xhx_care_config_times(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
    `careCfgId` bigint(20)      COMMENT '主动关怀配置id',
    `serviceTimeStart` datetime NOT NULL     COMMENT '时间段时候开始时间',
    `serviceTimeEnd` datetime NOT NULL     COMMENT '时间段结束时间',
    `remark` varchar(255)      COMMENT '备注',
    `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
    `createTime` datetime NOT NULL     COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动关怀时间段';
-- ----------------------------
-- 预约自动签到服务约束表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_appointment_constraint`;
CREATE TABLE mortals_xhx_appointment_constraint(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `personId` bigint(20)      COMMENT '个人信息ID',
    `name` varchar(50)      COMMENT '姓名',
    `contact` varchar(50)      COMMENT '联系方式',
    `idCardType` varchar(20)      COMMENT '证件类型',
    `idCardNo` varchar(50)      COMMENT '证件号码',
    `accumulative` int(11)    DEFAULT '0'  COMMENT '累计次数',
    `constraintTime` datetime      COMMENT '约束时间',
    `createMethod` tinyint(2)      COMMENT '创建方式(0.手动创建，1.系统推荐)',
    `operator` varchar(50)      COMMENT '操作人员',
    `constraint` tinyint(2)    DEFAULT '0'  COMMENT '是否约束 (0.否，1.是)',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人ID',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人ID',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='预约自动签到服务约束';
-- ----------------------------
-- 主动关怀服务约束表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_care_constraint`;
CREATE TABLE mortals_xhx_care_constraint(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `personId` bigint(20) NOT NULL     COMMENT '人员ID',
    `name` varchar(50) NOT NULL     COMMENT '姓名',
    `contact` varchar(50) NOT NULL     COMMENT '联系方式',
    `idCard` varchar(18) NOT NULL     COMMENT '身份证号码',
    `serviceFrequency` int(11) NOT NULL     COMMENT '服务频次',
    `trackingTime` datetime NOT NULL     COMMENT '跟踪时间',
    `createWay` tinyint(2) NOT NULL     COMMENT '创建方式(1.人工创建,2.系统推荐)',
    `operator` varchar(50) NOT NULL     COMMENT '操作人员',
    `track` tinyint(2)    DEFAULT '0'  COMMENT '是否追踪 (0.否，1.是)',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人ID',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人ID',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动关怀服务约束';
-- ----------------------------
-- 主动关怀服务追踪表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_care_constraint_track`;
CREATE TABLE mortals_xhx_care_constraint_track(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID',
    `careId` bigint(20)      COMMENT '主动关怀约束Id',
    `feedbackId` bigint(20) NOT NULL     COMMENT '反馈人ID',
    `feedbackName` varchar(50) NOT NULL     COMMENT '反馈人姓名',
    `feedback` varchar(1024) NOT NULL     COMMENT '反馈内容',
    `feedbackTime` datetime NOT NULL     COMMENT '跟踪时间',
    `createMethod` varchar(50) NOT NULL     COMMENT '创建方式',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人ID',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人ID',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动关怀服务追踪';
-- ----------------------------
-- 注册人员表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_person`;
CREATE TABLE mortals_xhx_person(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `name` varchar(128)      COMMENT '用户名称',
    `idCard` varchar(32)      COMMENT '身份证号码',
    `gender` tinyint(2)    DEFAULT '0'  COMMENT '性别(0.男,1.女)',
    `phone` varchar(20)      COMMENT '手机号码',
    `birthday` datetime      COMMENT '出生日期',
    `address` varchar(256)      COMMENT '家庭住址',
    `photo` varchar(128)      COMMENT '本地照片路径',
    `sourcePhotoUri` varchar(128)      COMMENT '原始照片路径',
    `sourceId` bigint(20)      COMMENT 'Php原始注册用户id',
    `remark` varchar(256)      COMMENT '备注',
    `source` tinyint(2)    DEFAULT '0'  COMMENT '注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)',
    `inFaceHk` tinyint(2)    DEFAULT '0'  COMMENT '是否添加到海康人脸库(0.否，1.是)',
    `indexCode` varchar(256)      COMMENT '人脸的唯一标识',
    `ifaceGroupIndexCode` varchar(256)      COMMENT '人脸所属的人脸分组的唯一标识',
    `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
    `createTime` datetime NOT NULL     COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '更新时间',
    `picUrl` varchar(256)      COMMENT '海康人脸图片url',
    `serverIndexCode` varchar(256)      COMMENT '海康人脸服务标识',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='注册人员';

-- ----------------------------
-- 设备业务表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device`;
CREATE TABLE mortals_xhx_device(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `deviceId` varchar(64)      COMMENT '设备ID，海康',
    `deviceName` varchar(256) NOT NULL     COMMENT '设备名称',
    `deviceCode` varchar(256)      COMMENT '设备编码',
    `deviceMac` varchar(64)      COMMENT '设备的MAC地址',
    `deviceLocation` varchar(255)    DEFAULT '2'  COMMENT '设备位置',
    `lon` varchar(32)      COMMENT '经度',
    `lati` varchar(32)      COMMENT '纬度',
    `floor` int(4)      COMMENT '楼层',
    `build` int(4)      COMMENT '楼栋',
    `leadingOfficial` varchar(20)      COMMENT '负责人',
    `leadingOfficialTelephone` varchar(32)      COMMENT '联系电话',
    `timeOutPeriod` int(4)    DEFAULT '0'  COMMENT '超时时间，单位天',
    `nearTime` int(4)    DEFAULT '0'  COMMENT '临近时间，单位天',
    `deviceStatus` tinyint(2)    DEFAULT '2'  COMMENT '设备状态 (1.离线,2.在线)',
    `regionIndexCode` varchar(128)      COMMENT '区域编码',
    `cameraTypeName` varchar(32)      COMMENT '类型名称',
    `cameraType` int(4)      COMMENT '设备类型',
    `encodeDevIndexCode` varchar(128)      COMMENT '编码',
    `capabilitySet` varchar(1024)      COMMENT '设备能力',
    `capabilitySetName` varchar(1024)      COMMENT '设备能力名称',
    `deviceRemark` varchar(256)      COMMENT '备注',
    `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
    `createTime` datetime NOT NULL     COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='设备业务';

-- ----------------------------
-- 监测预警记录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_monitor_alarm`;
CREATE TABLE mortals_xhx_monitor_alarm(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `personId` bigint(20) NOT NULL     COMMENT '人员id',
    `name` varchar(255)      COMMENT '姓名',
    `contact` varchar(255)      COMMENT '联系方式',
    `idNumber` varchar(255) NOT NULL     COMMENT '身份证号码',
    `identifyNum` int(4)    DEFAULT '0'  COMMENT '识别频次',
    `lastIdentifyTime` datetime      COMMENT '最后识别时间',
    `year` int(9) NOT NULL     COMMENT '年',
    `month` int(9) NOT NULL     COMMENT '月',
    `day` int(9) NOT NULL     COMMENT '日',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人id',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人id',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='监测预警记录';
-- ----------------------------
-- 监测预警记录详细记录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_monitor_alarm_record`;
CREATE TABLE mortals_xhx_monitor_alarm_record(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `alarmId` bigint(20)      COMMENT '告警Id',
    `reservationService` varchar(50)      COMMENT '预约业务',
    `reservationNumber` varchar(50)      COMMENT '预约编号',
    `monitorTime` datetime      COMMENT '监测时间',
    `monitorDeviceId` bigint(20)      COMMENT '监测设备',
    `monitorDevice` varchar(255)      COMMENT '监测设备名称',
    `checkInMethod` tinyint(1)    DEFAULT '0'  COMMENT '签到方式(0.自动签到，1.手动签到)',
    `monitorCertificate` varchar(255)      COMMENT '监测凭证',
    `picUri` varchar(255)      COMMENT '相对图片pic',
    `serverIndexCode` varchar(255)      COMMENT '图片资源唯一标识',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人id',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人id',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='监测预警记录详细记录';
-- ----------------------------
-- 用户消息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_notice`;
CREATE TABLE mortals_xhx_notice(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID',
    `userId` bigint(20)      COMMENT '接收消息的用户的唯一标识符',
    `title` varchar(255) NOT NULL     COMMENT '消息的标题',
    `content` varchar(1024) NOT NULL     COMMENT '消息的内容',
    `read` tinyint(2) NOT NULL   DEFAULT '0'  COMMENT '是否已读 (0.否,1.是)',
    `priority` int(4) NOT NULL   DEFAULT '0'  COMMENT '消息的优先级，越高表示越紧急，不为空',
    `expireTime` datetime      COMMENT '消息的过期时间，超过此时间则自动标记为已读',
    `sourceType` varchar(64) NOT NULL     COMMENT '消息的来源类型，例如“系统”、“好友”等，可以为空',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人ID',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人ID',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户消息';


-- ----------------------------
-- 人脸分组信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_face_group`;
CREATE TABLE mortals_xhx_face_group(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID',
    `name` varchar(255) NOT NULL     COMMENT '名称',
    `description` varchar(1024) NOT NULL     COMMENT '描述',
    `indexCode` varchar(64) NOT NULL     COMMENT '分组唯一标识',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人ID',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人ID',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='人脸分组信息';
-- ----------------------------
-- 分组人脸信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_face_group_person`;
CREATE TABLE mortals_xhx_face_group_person(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID',
    `faceGroupId` bigint(20)      COMMENT '人脸分组',
    `name` varchar(255) NOT NULL     COMMENT '名称',
    `indexCode` varchar(64) NOT NULL     COMMENT '人脸唯一标识',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人ID',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人ID',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='分组人脸信息';

-- ----------------------------
-- 人员识别计划信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_face_plan`;
CREATE TABLE mortals_xhx_face_plan(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID',
    `indexCode` varchar(255)      COMMENT '重点人员计划',
    `name` varchar(255) NOT NULL     COMMENT '名称',
    `faceGroupIndexCodes` varchar(512) NOT NULL     COMMENT '人脸分组的唯一标识集合，逗号分割',
    `cameraIndexCodes` varchar(512) NOT NULL     COMMENT '人脸分组的唯一标识集合，逗号分割',
    `recognitionResourceIndexCodes` varchar(2048) NOT NULL     COMMENT '识别资源的唯一标识集合，逗号分割',
    `recognitionResourceType` varchar(512) NOT NULL     COMMENT '识别资源类型，SUPER_BRAIN 超脑，FACE_RECOGNITION_SERVER 脸谱，COMPARISON 深眸',
    `recognitionPlanType` varchar(64) NOT NULL     COMMENT '识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划)',
    `status` varchar(255) NOT NULL     COMMENT '状态',
    `available` varchar(255) NOT NULL     COMMENT '是否启用,true:启用,false:禁用',
    `description` varchar(1024) NOT NULL     COMMENT '描述',
    `startTime` datetime      COMMENT '启用时间',
    `usingTime` bigint(20)      COMMENT '启用时间',
    `threshold` int(4)      COMMENT '阈值 0-100',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人ID',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人ID',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='人员识别计划信息';


-- ----------------------------
-- 预约人员表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_appointment_person`;
CREATE TABLE mortals_xhx_appointment_person(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `personId` bigint(20) NOT NULL     COMMENT '人员id',
    `name` varchar(50)      COMMENT '姓名',
    `contactInfo` varchar(50)      COMMENT '联系方式',
    `idCard` varchar(50)      COMMENT '身份证号码',
    `bussinessId` bigint(20)      COMMENT '业务Id',
    `bussinessName` varchar(255)      COMMENT '预约业务',
    `appontmentNumber` varchar(50)      COMMENT '预约编号',
    `appointmentStartTime` datetime      COMMENT '预约开始时间',
    `appointmentEndTime` datetime      COMMENT '预约结束时间',
    `createUserId` bigint(20)      COMMENT '创建人id',
    `createTime` datetime      COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新人id',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='预约人员';
