# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 监测预警记录

### 查询监测预警记录列表

**请求URL:** monitor/alarm/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询监测预警记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|人员id
&emsp;&emsp;name|String|姓名
&emsp;&emsp;contact|String|联系方式
&emsp;&emsp;idNumber|String|身份证号码
&emsp;&emsp;identifyNum|Integer|识别频次
&emsp;&emsp;lastIdentifyTime|Date|最后识别时间
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看监测预警记录

**请求URL:** monitor/alarm/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看监测预警记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/monitor/alarm/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;personId|Long|人员id
&emsp;name|String|姓名
&emsp;contact|String|联系方式
&emsp;idNumber|String|身份证号码
&emsp;identifyNum|Integer|识别频次
&emsp;lastIdentifyTime|Date|最后识别时间
&emsp;year|Integer|年
&emsp;month|Integer|月
&emsp;day|Integer|日
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人id
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5014,
            "siteId":9732,
            "siteName":"l3y0h6",
            "personId":8708,
            "name":"4z75s0",
            "contact":"673v6q",
            "idNumber":"y8fqqz",
            "identifyNum":4361,
            "lastIdentifyTime":"2023-04-15",
            "year":9273,
            "month":1132,
            "day":9175,
            "createTime":"2023-04-15",
            "createUserId":5906,
            "updateTime":"2023-04-15",
            "updateUserId":1152
        }
}
```

### 保存更新监测预警记录

**请求URL:** monitor/alarm/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新监测预警记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
personId|Long|是|人员id
name|String|否|姓名
contact|String|否|联系方式
idNumber|String|是|身份证号码
identifyNum|Integer|否|识别频次
lastIdentifyTime|Date|否|最后识别时间
year|Integer|是|年
month|Integer|是|月
day|Integer|是|日

**请求样例:**
```
{
    "siteId":2659,
    "siteName":"q14jxb",
    "personId":9673,
    "name":"25neg3",
    "contact":"r22oup",
    "idNumber":"pgndr1",
    "identifyNum":9027,
    "lastIdentifyTime":"2023-04-15",
    "year":7178,
    "month":5934,
    "day":3996,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|人员id
&emsp;&emsp;name|String|姓名
&emsp;&emsp;contact|String|联系方式
&emsp;&emsp;idNumber|String|身份证号码
&emsp;&emsp;identifyNum|Integer|识别频次
&emsp;&emsp;lastIdentifyTime|Date|最后识别时间
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除监测预警记录

**请求URL:** monitor/alarm/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除监测预警记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/monitor/alarm/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 监测预警记录详细记录

### 查询监测预警记录详细记录列表

**请求URL:** monitor/alarm/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询监测预警记录详细记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;alarmId|Long|告警Id
&emsp;&emsp;reservationService|String|预约业务
&emsp;&emsp;reservationNumber|String|预约编号
&emsp;&emsp;monitorTime|Date|监测时间
&emsp;&emsp;monitorDeviceId|Long|监测设备
&emsp;&emsp;monitorDevice|String|监测设备名称
&emsp;&emsp;checkInMethod|Integer|签到方式(0.自动签到，1.手动签到)
&emsp;&emsp;monitorCertificate|String|监测凭证
&emsp;&emsp;picUri|String|相对图片pic
&emsp;&emsp;serverIndexCode|String|图片资源唯一标识
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id
dict|object|字典对象
&emsp;checkInMethod|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看监测预警记录详细记录

**请求URL:** monitor/alarm/record/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看监测预警记录详细记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/monitor/alarm/record/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;alarmId|Long|告警Id
&emsp;reservationService|String|预约业务
&emsp;reservationNumber|String|预约编号
&emsp;monitorTime|Date|监测时间
&emsp;monitorDeviceId|Long|监测设备
&emsp;monitorDevice|String|监测设备名称
&emsp;checkInMethod|Integer|签到方式(0.自动签到，1.手动签到)
&emsp;monitorCertificate|String|监测凭证
&emsp;picUri|String|相对图片pic
&emsp;serverIndexCode|String|图片资源唯一标识
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人id
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人id
dict|object|字典对象
&emsp;checkInMethod|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2891,
            "alarmId":2345,
            "reservationService":"0h93v8",
            "reservationNumber":"bfmtx2",
            "monitorTime":"2023-04-15",
            "monitorDeviceId":2528,
            "monitorDevice":"j13kix",
            "checkInMethod":992,
            "monitorCertificate":"khocf9",
            "picUri":"8tty8a",
            "serverIndexCode":"xkt5da",
            "createTime":"2023-04-15",
            "createUserId":6814,
            "updateTime":"2023-04-15",
            "updateUserId":5698
        }
}
```

### 保存更新监测预警记录详细记录

**请求URL:** monitor/alarm/record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新监测预警记录详细记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
alarmId|Long|否|告警Id
reservationService|String|否|预约业务
reservationNumber|String|否|预约编号
monitorTime|Date|否|监测时间
monitorDeviceId|Long|否|监测设备
monitorDevice|String|否|监测设备名称
checkInMethod|Integer|否|签到方式(0.自动签到，1.手动签到)
monitorCertificate|String|否|监测凭证
picUri|String|否|相对图片pic
serverIndexCode|String|否|图片资源唯一标识

**请求样例:**
```
{
    "alarmId":4516,
    "reservationService":"siacca",
    "reservationNumber":"70j934",
    "monitorTime":"2023-04-15",
    "monitorDeviceId":7560,
    "monitorDevice":"uf1pw0",
    "checkInMethod":5264,
    "monitorCertificate":"4p6ldb",
    "picUri":"elawqz",
    "serverIndexCode":"hqtuyl",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;alarmId|Long|告警Id
&emsp;&emsp;reservationService|String|预约业务
&emsp;&emsp;reservationNumber|String|预约编号
&emsp;&emsp;monitorTime|Date|监测时间
&emsp;&emsp;monitorDeviceId|Long|监测设备
&emsp;&emsp;monitorDevice|String|监测设备名称
&emsp;&emsp;checkInMethod|Integer|签到方式(0.自动签到，1.手动签到)
&emsp;&emsp;monitorCertificate|String|监测凭证
&emsp;&emsp;picUri|String|相对图片pic
&emsp;&emsp;serverIndexCode|String|图片资源唯一标识
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除监测预警记录详细记录

**请求URL:** monitor/alarm/record/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除监测预警记录详细记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/monitor/alarm/record/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 用户消息

### 查询用户消息列表

**请求URL:** notice/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户消息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID
&emsp;&emsp;userId|Long|接收消息的用户的唯一标识符
&emsp;&emsp;title|String|消息的标题
&emsp;&emsp;content|String|消息的内容
&emsp;&emsp;read|Integer|是否已读 (0.否,1.是)
&emsp;&emsp;priority|Integer|消息的优先级，越高表示越紧急，不为空
&emsp;&emsp;expireTime|Date|消息的过期时间，超过此时间则自动标记为已读
&emsp;&emsp;sourceType|String|消息的来源类型，例如“系统”、“好友”等，可以为空
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人ID
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人ID
dict|object|字典对象
&emsp;read|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看用户消息

**请求URL:** notice/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户消息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/notice/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID
&emsp;userId|Long|接收消息的用户的唯一标识符
&emsp;title|String|消息的标题
&emsp;content|String|消息的内容
&emsp;read|Integer|是否已读 (0.否,1.是)
&emsp;priority|Integer|消息的优先级，越高表示越紧急，不为空
&emsp;expireTime|Date|消息的过期时间，超过此时间则自动标记为已读
&emsp;sourceType|String|消息的来源类型，例如“系统”、“好友”等，可以为空
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人ID
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人ID
dict|object|字典对象
&emsp;read|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6140,
            "userId":7474,
            "title":"i6lsun",
            "content":"9jtr9u",
            "read":3252,
            "priority":5976,
            "expireTime":"2023-04-15",
            "sourceType":"kq6cx2",
            "createTime":"2023-04-15",
            "createUserId":84,
            "updateTime":"2023-04-15",
            "updateUserId":4013
        }
}
```

### 保存更新用户消息

**请求URL:** notice/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户消息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
userId|Long|否|接收消息的用户的唯一标识符
title|String|是|消息的标题
content|String|是|消息的内容
read|Integer|是|是否已读 (0.否,1.是)
priority|Integer|是|消息的优先级，越高表示越紧急，不为空
expireTime|Date|否|消息的过期时间，超过此时间则自动标记为已读
sourceType|String|是|消息的来源类型，例如“系统”、“好友”等，可以为空

**请求样例:**
```
{
    "userId":8741,
    "title":"8ilz55",
    "content":"04ud20",
    "read":4173,
    "priority":3717,
    "expireTime":"2023-04-15",
    "sourceType":"xheon0",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID
&emsp;&emsp;userId|Long|接收消息的用户的唯一标识符
&emsp;&emsp;title|String|消息的标题
&emsp;&emsp;content|String|消息的内容
&emsp;&emsp;read|Integer|是否已读 (0.否,1.是)
&emsp;&emsp;priority|Integer|消息的优先级，越高表示越紧急，不为空
&emsp;&emsp;expireTime|Date|消息的过期时间，超过此时间则自动标记为已读
&emsp;&emsp;sourceType|String|消息的来源类型，例如“系统”、“好友”等，可以为空
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人ID
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除用户消息

**请求URL:** notice/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户消息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/notice/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 人员发现记录

### 查询人员发现记录列表

**请求URL:** realtime/dataflow/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询人员发现记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|人员id
&emsp;&emsp;name|String|姓名
&emsp;&emsp;device|String|监测设备
&emsp;&emsp;detectTime|Date|监测时间
&emsp;&emsp;contact|String|联系方式
&emsp;&emsp;idNumber|String|身份证号码
&emsp;&emsp;isBooking|Integer|是否预约(0.否，1.是)
&emsp;&emsp;queueNum|String|排队编码
&emsp;&emsp;location|String|办理位置
&emsp;&emsp;picture|String|识别截图
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id
dict|object|字典对象
&emsp;isBooking|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看人员发现记录

**请求URL:** realtime/dataflow/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看人员发现记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/realtime/dataflow/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;personId|Long|人员id
&emsp;name|String|姓名
&emsp;device|String|监测设备
&emsp;detectTime|Date|监测时间
&emsp;contact|String|联系方式
&emsp;idNumber|String|身份证号码
&emsp;isBooking|Integer|是否预约(0.否，1.是)
&emsp;queueNum|String|排队编码
&emsp;location|String|办理位置
&emsp;picture|String|识别截图
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人id
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人id
dict|object|字典对象
&emsp;isBooking|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7462,
            "siteId":1176,
            "siteName":"ikiivv",
            "personId":7986,
            "name":"8i6apc",
            "device":"hbrwqx",
            "detectTime":"2023-04-09",
            "contact":"cc3ozq",
            "idNumber":"ptffd7",
            "isBooking":6769,
            "queueNum":"edh1mk",
            "location":"dtxmfx",
            "picture":"rx965k",
            "createTime":"2023-04-09",
            "createUserId":241,
            "updateTime":"2023-04-09",
            "updateUserId":302
        }
}
```

### 保存更新人员发现记录

**请求URL:** realtime/dataflow/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新人员发现记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
personId|Long|是|人员id
name|String|否|姓名
device|String|否|监测设备
detectTime|Date|是|监测时间
contact|String|否|联系方式
idNumber|String|是|身份证号码
isBooking|Integer|是|是否预约(0.否，1.是)
queueNum|String|是|排队编码
location|String|是|办理位置
picture|String|否|识别截图

**请求样例:**
```
{
    "siteId":192,
    "siteName":"bqmbmp",
    "personId":9489,
    "name":"t1r87b",
    "device":"8fzdzb",
    "detectTime":"2023-04-09",
    "contact":"nym7jk",
    "idNumber":"hrgpy2",
    "isBooking":9506,
    "queueNum":"xl1mpe",
    "location":"tb3yyv",
    "picture":"30avli",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|人员id
&emsp;&emsp;name|String|姓名
&emsp;&emsp;device|String|监测设备
&emsp;&emsp;detectTime|Date|监测时间
&emsp;&emsp;contact|String|联系方式
&emsp;&emsp;idNumber|String|身份证号码
&emsp;&emsp;isBooking|Integer|是否预约(0.否，1.是)
&emsp;&emsp;queueNum|String|排队编码
&emsp;&emsp;location|String|办理位置
&emsp;&emsp;picture|String|识别截图
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除人员发现记录

**请求URL:** realtime/dataflow/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除人员发现记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/realtime/dataflow/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 预约签到记录

### 查询预约签到记录列表

**请求URL:** appointment/records/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询预约签到记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|人员id
&emsp;&emsp;name|String|姓名
&emsp;&emsp;contactInfo|String|联系方式
&emsp;&emsp;idNumber|String|身份证号码
&emsp;&emsp;reservationService|String|预约业务
&emsp;&emsp;reservationNumber|String|预约编号
&emsp;&emsp;monitorTime|Date|监测时间
&emsp;&emsp;monitorDeviceId|Long|监测设备id
&emsp;&emsp;monitorDevice|String|监测设备
&emsp;&emsp;checkInMethod|Integer|签到方式(0.自动签到，1.手动签到)
&emsp;&emsp;monitorCertificate|String|监测凭证
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新人id
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;checkInMethod|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看预约签到记录

**请求URL:** appointment/records/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看预约签到记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/appointment/records/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;personId|Long|人员id
&emsp;name|String|姓名
&emsp;contactInfo|String|联系方式
&emsp;idNumber|String|身份证号码
&emsp;reservationService|String|预约业务
&emsp;reservationNumber|String|预约编号
&emsp;monitorTime|Date|监测时间
&emsp;monitorDeviceId|Long|监测设备id
&emsp;monitorDevice|String|监测设备
&emsp;checkInMethod|Integer|签到方式(0.自动签到，1.手动签到)
&emsp;monitorCertificate|String|监测凭证
&emsp;createUserId|Long|创建人id
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新人id
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;checkInMethod|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4437,
            "siteId":8825,
            "siteName":"j8cx7t",
            "personId":780,
            "name":"1mdq63",
            "contactInfo":"4hb0zg",
            "idNumber":"oxeii9",
            "reservationService":"j4xy5u",
            "reservationNumber":"gxht0u",
            "monitorTime":"2023-04-09",
            "monitorDeviceId":9329,
            "monitorDevice":"8hhy70",
            "checkInMethod":2128,
            "monitorCertificate":"2v6d22",
            "createUserId":8032,
            "createTime":"2023-04-09",
            "updateUserId":7383,
            "updateTime":"2023-04-09"
        }
}
```

### 保存更新预约签到记录

**请求URL:** appointment/records/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新预约签到记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
personId|Long|是|人员id
name|String|否|姓名
contactInfo|String|否|联系方式
idNumber|String|否|身份证号码
reservationService|String|否|预约业务
reservationNumber|String|否|预约编号
monitorTime|Date|否|监测时间
monitorDeviceId|Long|否|监测设备id
monitorDevice|String|否|监测设备
checkInMethod|Integer|否|签到方式(0.自动签到，1.手动签到)
monitorCertificate|String|否|监测凭证

**请求样例:**
```
{
    "siteId":5166,
    "siteName":"g8xcto",
    "personId":8617,
    "name":"ppi6gu",
    "contactInfo":"pbjngo",
    "idNumber":"o6h7i4",
    "reservationService":"q0z2li",
    "reservationNumber":"lkb2xr",
    "monitorTime":"2023-04-09",
    "monitorDeviceId":7847,
    "monitorDevice":"0ej6ln",
    "checkInMethod":8876,
    "monitorCertificate":"bgegru",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|人员id
&emsp;&emsp;name|String|姓名
&emsp;&emsp;contactInfo|String|联系方式
&emsp;&emsp;idNumber|String|身份证号码
&emsp;&emsp;reservationService|String|预约业务
&emsp;&emsp;reservationNumber|String|预约编号
&emsp;&emsp;monitorTime|Date|监测时间
&emsp;&emsp;monitorDeviceId|Long|监测设备id
&emsp;&emsp;monitorDevice|String|监测设备
&emsp;&emsp;checkInMethod|Integer|签到方式(0.自动签到，1.手动签到)
&emsp;&emsp;monitorCertificate|String|监测凭证
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新人id
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除预约签到记录

**请求URL:** appointment/records/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除预约签到记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/appointment/records/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 预约关怀记录

### 查询预约关怀记录列表

**请求URL:** care/records/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询预约关怀记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|个人信息ID
&emsp;&emsp;name|String|姓名
&emsp;&emsp;contact|String|联系方式
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;service|String|办理业务
&emsp;&emsp;queueNo|String|排队编号
&emsp;&emsp;monitorTime|Date|监测时间
&emsp;&emsp;monitorDeviceId|Long|监测设备id
&emsp;&emsp;monitorDevice|String|监测设备
&emsp;&emsp;waitTime|Long|最终等待时长，秒
&emsp;&emsp;processStatus|String|办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人ID
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人ID
dict|object|字典对象
&emsp;processStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看预约关怀记录

**请求URL:** care/records/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看预约关怀记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/care/records/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;personId|Long|个人信息ID
&emsp;name|String|姓名
&emsp;contact|String|联系方式
&emsp;idCard|String|身份证号码
&emsp;service|String|办理业务
&emsp;queueNo|String|排队编号
&emsp;monitorTime|Date|监测时间
&emsp;monitorDeviceId|Long|监测设备id
&emsp;monitorDevice|String|监测设备
&emsp;waitTime|Long|最终等待时长，秒
&emsp;processStatus|String|办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人ID
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人ID
dict|object|字典对象
&emsp;processStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2021,
            "siteId":5446,
            "siteName":"srw8r1",
            "personId":5258,
            "name":"d47ctk",
            "contact":"szuaps",
            "idCard":"eymcwk",
            "service":"guaxmt",
            "queueNo":"5ryh3d",
            "monitorTime":"2023-04-09",
            "monitorDeviceId":8136,
            "monitorDevice":"yyxg5f",
            "waitTime":8018,
            "processStatus":"srq953",
            "createTime":"2023-04-09",
            "createUserId":6570,
            "updateTime":"2023-04-09",
            "updateUserId":4802
        }
}
```

### 保存更新预约关怀记录

**请求URL:** care/records/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新预约关怀记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
personId|Long|否|个人信息ID
name|String|否|姓名
contact|String|否|联系方式
idCard|String|否|身份证号码
service|String|否|办理业务
queueNo|String|否|排队编号
monitorTime|Date|否|监测时间
monitorDeviceId|Long|否|监测设备id
monitorDevice|String|否|监测设备
waitTime|Long|否|最终等待时长，秒
processStatus|String|否|办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)

**请求样例:**
```
{
    "siteId":9488,
    "siteName":"hb5cwi",
    "personId":9286,
    "name":"k93ypc",
    "contact":"mqxi3n",
    "idCard":"ify81q",
    "service":"ky8o8i",
    "queueNo":"nm5qvh",
    "monitorTime":"2023-04-09",
    "monitorDeviceId":5561,
    "monitorDevice":"r20sfc",
    "waitTime":9984,
    "processStatus":"kiuq3m",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|个人信息ID
&emsp;&emsp;name|String|姓名
&emsp;&emsp;contact|String|联系方式
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;service|String|办理业务
&emsp;&emsp;queueNo|String|排队编号
&emsp;&emsp;monitorTime|Date|监测时间
&emsp;&emsp;monitorDeviceId|Long|监测设备id
&emsp;&emsp;monitorDevice|String|监测设备
&emsp;&emsp;waitTime|Long|最终等待时长，秒
&emsp;&emsp;processStatus|String|办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人ID
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除预约关怀记录

**请求URL:** care/records/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除预约关怀记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/care/records/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 预约自动签到配置

### 查询预约自动签到配置列表

**请求URL:** appointment/config/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询预约自动签到配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;used|Integer|是否启用该服务(0.否,1.是)
&emsp;&emsp;monday|Integer|周一是否监测(0.否,1.是)
&emsp;&emsp;tuesday|Integer|周二是否监测(0.否,1.是)
&emsp;&emsp;wednesday|Integer|周三是否监测(0.否,1.是)
&emsp;&emsp;thursday|Integer|周四是否监测(0.否,1.是)
&emsp;&emsp;friday|Integer|周五是否监测(0.否,1.是)
&emsp;&emsp;saturday|Integer|周六是否监测(0.否,1.是)
&emsp;&emsp;sunday|Integer|周日是否监测(0.否,1.是)
&emsp;&emsp;maxServicePersonNum|Integer|单日服务最大人数设置
&emsp;&emsp;alertServiceNum|Integer|累计服务频次预警
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;used|object|字典属性对象，详见附录
&emsp;monday|object|字典属性对象，详见附录
&emsp;tuesday|object|字典属性对象，详见附录
&emsp;wednesday|object|字典属性对象，详见附录
&emsp;thursday|object|字典属性对象，详见附录
&emsp;friday|object|字典属性对象，详见附录
&emsp;saturday|object|字典属性对象，详见附录
&emsp;sunday|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看预约自动签到配置

**请求URL:** appointment/config/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看预约自动签到配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/appointment/config/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;used|Integer|是否启用该服务(0.否,1.是)
&emsp;monday|Integer|周一是否监测(0.否,1.是)
&emsp;tuesday|Integer|周二是否监测(0.否,1.是)
&emsp;wednesday|Integer|周三是否监测(0.否,1.是)
&emsp;thursday|Integer|周四是否监测(0.否,1.是)
&emsp;friday|Integer|周五是否监测(0.否,1.是)
&emsp;saturday|Integer|周六是否监测(0.否,1.是)
&emsp;sunday|Integer|周日是否监测(0.否,1.是)
&emsp;maxServicePersonNum|Integer|单日服务最大人数设置
&emsp;alertServiceNum|Integer|累计服务频次预警
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;used|object|字典属性对象，详见附录
&emsp;monday|object|字典属性对象，详见附录
&emsp;tuesday|object|字典属性对象，详见附录
&emsp;wednesday|object|字典属性对象，详见附录
&emsp;thursday|object|字典属性对象，详见附录
&emsp;friday|object|字典属性对象，详见附录
&emsp;saturday|object|字典属性对象，详见附录
&emsp;sunday|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5583,
            "siteId":6723,
            "siteName":"no0j5h",
            "used":24,
            "monday":3858,
            "tuesday":6248,
            "wednesday":8487,
            "thursday":5730,
            "friday":7720,
            "saturday":1814,
            "sunday":3936,
            "maxServicePersonNum":8122,
            "alertServiceNum":8454,
            "remark":"a64iyy",
            "createUserId":2888,
            "createTime":"2023-04-09",
            "updateUserId":8884,
            "updateTime":"2023-04-09"
        }
}
```

### 保存更新预约自动签到配置

**请求URL:** appointment/config/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新预约自动签到配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
used|Integer|否|是否启用该服务(0.否,1.是)
monday|Integer|否|周一是否监测(0.否,1.是)
tuesday|Integer|否|周二是否监测(0.否,1.是)
wednesday|Integer|否|周三是否监测(0.否,1.是)
thursday|Integer|否|周四是否监测(0.否,1.是)
friday|Integer|否|周五是否监测(0.否,1.是)
saturday|Integer|否|周六是否监测(0.否,1.是)
sunday|Integer|否|周日是否监测(0.否,1.是)
maxServicePersonNum|Integer|否|单日服务最大人数设置
alertServiceNum|Integer|否|累计服务频次预警
remark|String|否|备注

**请求样例:**
```
{
    "siteId":3027,
    "siteName":"4i87m1",
    "used":3960,
    "monday":4298,
    "tuesday":4873,
    "wednesday":3649,
    "thursday":708,
    "friday":987,
    "saturday":6958,
    "sunday":8450,
    "maxServicePersonNum":4722,
    "alertServiceNum":7386,
    "remark":"tlkzfp",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;used|Integer|是否启用该服务(0.否,1.是)
&emsp;&emsp;monday|Integer|周一是否监测(0.否,1.是)
&emsp;&emsp;tuesday|Integer|周二是否监测(0.否,1.是)
&emsp;&emsp;wednesday|Integer|周三是否监测(0.否,1.是)
&emsp;&emsp;thursday|Integer|周四是否监测(0.否,1.是)
&emsp;&emsp;friday|Integer|周五是否监测(0.否,1.是)
&emsp;&emsp;saturday|Integer|周六是否监测(0.否,1.是)
&emsp;&emsp;sunday|Integer|周日是否监测(0.否,1.是)
&emsp;&emsp;maxServicePersonNum|Integer|单日服务最大人数设置
&emsp;&emsp;alertServiceNum|Integer|累计服务频次预警
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除预约自动签到配置

**请求URL:** appointment/config/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除预约自动签到配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/appointment/config/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 预约自动签到配置时间段

### 查询预约自动签到配置时间段列表

**请求URL:** appointment/config/times/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询预约自动签到配置时间段

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;Id|Long|序号，主键，自增长
&emsp;&emsp;aotoCheckCfgId|Long|自动签到配置id
&emsp;&emsp;serviceTimeStart|Date|时间段时候开始时间
&emsp;&emsp;serviceTimeEnd|Date|时间段结束时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看预约自动签到配置时间段

**请求URL:** appointment/config/times/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看预约自动签到配置时间段，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
Id|Long|是|ID

**请求样例:**
```
    http://localhost/appointment/config/times/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;Id|Long|序号，主键，自增长
&emsp;aotoCheckCfgId|Long|自动签到配置id
&emsp;serviceTimeStart|Date|时间段时候开始时间
&emsp;serviceTimeEnd|Date|时间段结束时间
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "Id":3193,
            "aotoCheckCfgId":3270,
            "serviceTimeStart":"2023-04-09",
            "serviceTimeEnd":"2023-04-09",
            "remark":"43hqe1",
            "createUserId":7827,
            "createTime":"2023-04-09",
            "updateUserId":7758,
            "updateTime":"2023-04-09"
        }
}
```

### 保存更新预约自动签到配置时间段

**请求URL:** appointment/config/times/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新预约自动签到配置时间段：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
aotoCheckCfgId|Long|否|自动签到配置id
serviceTimeStart|Date|是|时间段时候开始时间
serviceTimeEnd|Date|是|时间段结束时间
remark|String|否|备注

**请求样例:**
```
{
    "aotoCheckCfgId":3575,
    "serviceTimeStart":"2023-04-09",
    "serviceTimeEnd":"2023-04-09",
    "remark":"luvd3n",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;Id|Long|序号，主键，自增长
&emsp;&emsp;aotoCheckCfgId|Long|自动签到配置id
&emsp;&emsp;serviceTimeStart|Date|时间段时候开始时间
&emsp;&emsp;serviceTimeEnd|Date|时间段结束时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除预约自动签到配置时间段

**请求URL:** appointment/config/times/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除预约自动签到配置时间段

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
Id|String|是|数组

**请求样例:**
```
    http://localhost:8080/appointment/config/times/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 主动关怀配置

### 查询主动关怀配置列表

**请求URL:** care/config/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询主动关怀配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;used|Integer|是否启用该服务(0.否,1.是)
&emsp;&emsp;monday|Integer|周一是否监测(0.否,1.是)
&emsp;&emsp;tuesday|Integer|周二是否监测(0.否,1.是)
&emsp;&emsp;wednesday|Integer|周三是否监测(0.否,1.是)
&emsp;&emsp;thursday|Integer|周四是否监测(0.否,1.是)
&emsp;&emsp;friday|Integer|周五是否监测(0.否,1.是)
&emsp;&emsp;saturday|Integer|周六是否监测(0.否,1.是)
&emsp;&emsp;sunday|Integer|周日是否监测(0.否,1.是)
&emsp;&emsp;maxServicePersonNum|Integer|单日服务最大人数设置
&emsp;&emsp;serviceThreshold|Long|服务阈值设置，单位分钟
&emsp;&emsp;alertServiceNum|Integer|累计服务频次预警
&emsp;&emsp;msgRecipients|String|消息发送对象(办事群众.办事群众,管理员.管理员)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;used|object|字典属性对象，详见附录
&emsp;monday|object|字典属性对象，详见附录
&emsp;tuesday|object|字典属性对象，详见附录
&emsp;wednesday|object|字典属性对象，详见附录
&emsp;thursday|object|字典属性对象，详见附录
&emsp;friday|object|字典属性对象，详见附录
&emsp;saturday|object|字典属性对象，详见附录
&emsp;sunday|object|字典属性对象，详见附录
&emsp;msgRecipients|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看主动关怀配置

**请求URL:** care/config/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看主动关怀配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/care/config/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;used|Integer|是否启用该服务(0.否,1.是)
&emsp;monday|Integer|周一是否监测(0.否,1.是)
&emsp;tuesday|Integer|周二是否监测(0.否,1.是)
&emsp;wednesday|Integer|周三是否监测(0.否,1.是)
&emsp;thursday|Integer|周四是否监测(0.否,1.是)
&emsp;friday|Integer|周五是否监测(0.否,1.是)
&emsp;saturday|Integer|周六是否监测(0.否,1.是)
&emsp;sunday|Integer|周日是否监测(0.否,1.是)
&emsp;maxServicePersonNum|Integer|单日服务最大人数设置
&emsp;serviceThreshold|Long|服务阈值设置，单位分钟
&emsp;alertServiceNum|Integer|累计服务频次预警
&emsp;msgRecipients|String|消息发送对象(办事群众.办事群众,管理员.管理员)
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;used|object|字典属性对象，详见附录
&emsp;monday|object|字典属性对象，详见附录
&emsp;tuesday|object|字典属性对象，详见附录
&emsp;wednesday|object|字典属性对象，详见附录
&emsp;thursday|object|字典属性对象，详见附录
&emsp;friday|object|字典属性对象，详见附录
&emsp;saturday|object|字典属性对象，详见附录
&emsp;sunday|object|字典属性对象，详见附录
&emsp;msgRecipients|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7367,
            "siteId":2924,
            "siteName":"fqmqat",
            "used":2406,
            "monday":5802,
            "tuesday":3696,
            "wednesday":6580,
            "thursday":7108,
            "friday":7457,
            "saturday":9439,
            "sunday":3845,
            "maxServicePersonNum":1820,
            "serviceThreshold":1361,
            "alertServiceNum":4190,
            "msgRecipients":"b2obgi",
            "remark":"j5at6c",
            "createUserId":8220,
            "createTime":"2023-04-09",
            "updateUserId":545,
            "updateTime":"2023-04-09"
        }
}
```

### 保存更新主动关怀配置

**请求URL:** care/config/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新主动关怀配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
used|Integer|否|是否启用该服务(0.否,1.是)
monday|Integer|否|周一是否监测(0.否,1.是)
tuesday|Integer|否|周二是否监测(0.否,1.是)
wednesday|Integer|否|周三是否监测(0.否,1.是)
thursday|Integer|否|周四是否监测(0.否,1.是)
friday|Integer|否|周五是否监测(0.否,1.是)
saturday|Integer|否|周六是否监测(0.否,1.是)
sunday|Integer|否|周日是否监测(0.否,1.是)
maxServicePersonNum|Integer|否|单日服务最大人数设置
serviceThreshold|Long|是|服务阈值设置，单位分钟
alertServiceNum|Integer|否|累计服务频次预警
msgRecipients|String|是|消息发送对象(办事群众.办事群众,管理员.管理员)
remark|String|否|备注

**请求样例:**
```
{
    "siteId":7920,
    "siteName":"rnb0wf",
    "used":8566,
    "monday":9784,
    "tuesday":8786,
    "wednesday":3877,
    "thursday":3788,
    "friday":3832,
    "saturday":9609,
    "sunday":2101,
    "maxServicePersonNum":7231,
    "serviceThreshold":2557,
    "alertServiceNum":9714,
    "msgRecipients":"cxcje5",
    "remark":"8efnpq",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;used|Integer|是否启用该服务(0.否,1.是)
&emsp;&emsp;monday|Integer|周一是否监测(0.否,1.是)
&emsp;&emsp;tuesday|Integer|周二是否监测(0.否,1.是)
&emsp;&emsp;wednesday|Integer|周三是否监测(0.否,1.是)
&emsp;&emsp;thursday|Integer|周四是否监测(0.否,1.是)
&emsp;&emsp;friday|Integer|周五是否监测(0.否,1.是)
&emsp;&emsp;saturday|Integer|周六是否监测(0.否,1.是)
&emsp;&emsp;sunday|Integer|周日是否监测(0.否,1.是)
&emsp;&emsp;maxServicePersonNum|Integer|单日服务最大人数设置
&emsp;&emsp;serviceThreshold|Long|服务阈值设置，单位分钟
&emsp;&emsp;alertServiceNum|Integer|累计服务频次预警
&emsp;&emsp;msgRecipients|String|消息发送对象(办事群众.办事群众,管理员.管理员)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除主动关怀配置

**请求URL:** care/config/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除主动关怀配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/care/config/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 主动关怀时间段

### 查询主动关怀时间段列表

**请求URL:** care/config/times/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询主动关怀时间段

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;Id|Long|序号，主键，自增长
&emsp;&emsp;careCfgId|Long|主动关怀配置id
&emsp;&emsp;serviceTimeStart|Date|时间段时候开始时间
&emsp;&emsp;serviceTimeEnd|Date|时间段结束时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看主动关怀时间段

**请求URL:** care/config/times/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看主动关怀时间段，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
Id|Long|是|ID

**请求样例:**
```
    http://localhost/care/config/times/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;Id|Long|序号，主键，自增长
&emsp;careCfgId|Long|主动关怀配置id
&emsp;serviceTimeStart|Date|时间段时候开始时间
&emsp;serviceTimeEnd|Date|时间段结束时间
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "Id":436,
            "careCfgId":2261,
            "serviceTimeStart":"2023-04-09",
            "serviceTimeEnd":"2023-04-09",
            "remark":"g4u50n",
            "createUserId":3843,
            "createTime":"2023-04-09",
            "updateUserId":6446,
            "updateTime":"2023-04-09"
        }
}
```

### 保存更新主动关怀时间段

**请求URL:** care/config/times/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新主动关怀时间段：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
careCfgId|Long|否|主动关怀配置id
serviceTimeStart|Date|是|时间段时候开始时间
serviceTimeEnd|Date|是|时间段结束时间
remark|String|否|备注

**请求样例:**
```
{
    "careCfgId":2247,
    "serviceTimeStart":"2023-04-09",
    "serviceTimeEnd":"2023-04-09",
    "remark":"d5opli",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;Id|Long|序号，主键，自增长
&emsp;&emsp;careCfgId|Long|主动关怀配置id
&emsp;&emsp;serviceTimeStart|Date|时间段时候开始时间
&emsp;&emsp;serviceTimeEnd|Date|时间段结束时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除主动关怀时间段

**请求URL:** care/config/times/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除主动关怀时间段

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
Id|String|是|数组

**请求样例:**
```
    http://localhost:8080/care/config/times/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 预约自动签到服务约束

### 查询预约自动签到服务约束列表

**请求URL:** appointment/constraint/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询预约自动签到服务约束

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|个人信息ID
&emsp;&emsp;name|String|姓名
&emsp;&emsp;contact|String|联系方式
&emsp;&emsp;idCardType|String|证件类型
&emsp;&emsp;idCardNo|String|证件号码
&emsp;&emsp;accumulative|Long|累计次数
&emsp;&emsp;constraintTime|Date|约束时间
&emsp;&emsp;createMethod|Integer|创建方式(0.手动创建，1.系统推荐)
&emsp;&emsp;operator|String|操作人员
&emsp;&emsp;constraint|Integer|是否约束 (0.否，1.是)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人ID
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人ID
dict|object|字典对象
&emsp;createMethod|object|字典属性对象，详见附录
&emsp;constraint|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看预约自动签到服务约束

**请求URL:** appointment/constraint/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看预约自动签到服务约束，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/appointment/constraint/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;personId|Long|个人信息ID
&emsp;name|String|姓名
&emsp;contact|String|联系方式
&emsp;idCardType|String|证件类型
&emsp;idCardNo|String|证件号码
&emsp;accumulative|Long|累计次数
&emsp;constraintTime|Date|约束时间
&emsp;createMethod|Integer|创建方式(0.手动创建，1.系统推荐)
&emsp;operator|String|操作人员
&emsp;constraint|Integer|是否约束 (0.否，1.是)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人ID
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人ID
dict|object|字典对象
&emsp;createMethod|object|字典属性对象，详见附录
&emsp;constraint|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8576,
            "siteId":866,
            "siteName":"4quujw",
            "personId":4310,
            "name":"ye4hcu",
            "contact":"0nyond",
            "idCardType":"l3tnmw",
            "idCardNo":"xhi921",
            "accumulative":3422,
            "constraintTime":"2023-04-09",
            "createMethod":3594,
            "operator":"daktz2",
            "constraint":1839,
            "createTime":"2023-04-09",
            "createUserId":2131,
            "updateTime":"2023-04-09",
            "updateUserId":1724
        }
}
```

### 保存更新预约自动签到服务约束

**请求URL:** appointment/constraint/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新预约自动签到服务约束：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
personId|Long|否|个人信息ID
name|String|否|姓名
contact|String|否|联系方式
idCardType|String|否|证件类型
idCardNo|String|否|证件号码
accumulative|Long|否|累计次数
constraintTime|Date|否|约束时间
createMethod|Integer|否|创建方式(0.手动创建，1.系统推荐)
operator|String|否|操作人员
constraint|Integer|否|是否约束 (0.否，1.是)

**请求样例:**
```
{
    "siteId":5653,
    "siteName":"qau59c",
    "personId":8306,
    "name":"1gk0az",
    "contact":"xkt9b8",
    "idCardType":"c8xjug",
    "idCardNo":"j8p98x",
    "accumulative":4045,
    "constraintTime":"2023-04-09",
    "createMethod":4730,
    "operator":"vjyhz8",
    "constraint":2403,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|个人信息ID
&emsp;&emsp;name|String|姓名
&emsp;&emsp;contact|String|联系方式
&emsp;&emsp;idCardType|String|证件类型
&emsp;&emsp;idCardNo|String|证件号码
&emsp;&emsp;accumulative|Long|累计次数
&emsp;&emsp;constraintTime|Date|约束时间
&emsp;&emsp;createMethod|Integer|创建方式(0.手动创建，1.系统推荐)
&emsp;&emsp;operator|String|操作人员
&emsp;&emsp;constraint|Integer|是否约束 (0.否，1.是)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人ID
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除预约自动签到服务约束

**请求URL:** appointment/constraint/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除预约自动签到服务约束

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/appointment/constraint/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 主动关怀服务约束

### 查询主动关怀服务约束列表

**请求URL:** care/constraint/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询主动关怀服务约束

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|人员ID
&emsp;&emsp;name|String|姓名
&emsp;&emsp;contact|String|联系方式
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;serviceFrequency|Long|服务频次
&emsp;&emsp;trackingTime|Date|跟踪时间
&emsp;&emsp;createWay|Integer|创建方式(1.人工创建,2.系统推荐)
&emsp;&emsp;operator|String|操作人员
&emsp;&emsp;track|Integer|是否追踪 (0.否，1.是)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人ID
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人ID
dict|object|字典对象
&emsp;createWay|object|字典属性对象，详见附录
&emsp;track|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看主动关怀服务约束

**请求URL:** care/constraint/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看主动关怀服务约束，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/care/constraint/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;personId|Long|人员ID
&emsp;name|String|姓名
&emsp;contact|String|联系方式
&emsp;idCard|String|身份证号码
&emsp;serviceFrequency|Long|服务频次
&emsp;trackingTime|Date|跟踪时间
&emsp;createWay|Integer|创建方式(1.人工创建,2.系统推荐)
&emsp;operator|String|操作人员
&emsp;track|Integer|是否追踪 (0.否，1.是)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人ID
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人ID
dict|object|字典对象
&emsp;createWay|object|字典属性对象，详见附录
&emsp;track|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9536,
            "siteId":5351,
            "siteName":"w45o5p",
            "personId":2990,
            "name":"xdktub",
            "contact":"ua5pdt",
            "idCard":"mwhlyf",
            "serviceFrequency":88,
            "trackingTime":"2023-04-09",
            "createWay":0,
            "operator":"fflh2o",
            "track":4998,
            "createTime":"2023-04-09",
            "createUserId":3351,
            "updateTime":"2023-04-09",
            "updateUserId":9282
        }
}
```

### 保存更新主动关怀服务约束

**请求URL:** care/constraint/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新主动关怀服务约束：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
personId|Long|是|人员ID
name|String|是|姓名
contact|String|是|联系方式
idCard|String|是|身份证号码
serviceFrequency|Long|是|服务频次
trackingTime|Date|是|跟踪时间
createWay|Integer|是|创建方式(1.人工创建,2.系统推荐)
operator|String|是|操作人员
track|Integer|否|是否追踪 (0.否，1.是)

**请求样例:**
```
{
    "siteId":6276,
    "siteName":"c80hnu",
    "personId":7009,
    "name":"rjgshe",
    "contact":"xzesan",
    "idCard":"xpvlqm",
    "serviceFrequency":4491,
    "trackingTime":"2023-04-09",
    "createWay":7929,
    "operator":"gqkx5n",
    "track":4763,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personId|Long|人员ID
&emsp;&emsp;name|String|姓名
&emsp;&emsp;contact|String|联系方式
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;serviceFrequency|Long|服务频次
&emsp;&emsp;trackingTime|Date|跟踪时间
&emsp;&emsp;createWay|Integer|创建方式(1.人工创建,2.系统推荐)
&emsp;&emsp;operator|String|操作人员
&emsp;&emsp;track|Integer|是否追踪 (0.否，1.是)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人ID
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除主动关怀服务约束

**请求URL:** care/constraint/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除主动关怀服务约束

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/care/constraint/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 主动关怀服务追踪

### 查询主动关怀服务追踪列表

**请求URL:** care/constraint/track/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询主动关怀服务追踪

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID
&emsp;&emsp;careId|Long|主动关怀约束Id
&emsp;&emsp;feedbackId|Long|反馈人ID
&emsp;&emsp;feedbackName|String|反馈人姓名
&emsp;&emsp;feedback|String|反馈内容
&emsp;&emsp;feedbackTime|Date|跟踪时间
&emsp;&emsp;createMethod|String|创建方式
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人ID
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看主动关怀服务追踪

**请求URL:** care/constraint/track/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看主动关怀服务追踪，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/care/constraint/track/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID
&emsp;careId|Long|主动关怀约束Id
&emsp;feedbackId|Long|反馈人ID
&emsp;feedbackName|String|反馈人姓名
&emsp;feedback|String|反馈内容
&emsp;feedbackTime|Date|跟踪时间
&emsp;createMethod|String|创建方式
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建人ID
&emsp;updateTime|Date|更新时间
&emsp;updateUserId|Long|更新人ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6347,
            "careId":1755,
            "feedbackId":9459,
            "feedbackName":"7lonm3",
            "feedback":"6obdkz",
            "feedbackTime":"2023-04-09",
            "createMethod":"zd389m",
            "createTime":"2023-04-09",
            "createUserId":8095,
            "updateTime":"2023-04-09",
            "updateUserId":4885
        }
}
```

### 保存更新主动关怀服务追踪

**请求URL:** care/constraint/track/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新主动关怀服务追踪：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
careId|Long|否|主动关怀约束Id
feedbackId|Long|是|反馈人ID
feedbackName|String|是|反馈人姓名
feedback|String|是|反馈内容
feedbackTime|Date|是|跟踪时间
createMethod|String|是|创建方式

**请求样例:**
```
{
    "careId":4249,
    "feedbackId":4514,
    "feedbackName":"zalglw",
    "feedback":"h1mxo3",
    "feedbackTime":"2023-04-09",
    "createMethod":"k6bbis",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID
&emsp;&emsp;careId|Long|主动关怀约束Id
&emsp;&emsp;feedbackId|Long|反馈人ID
&emsp;&emsp;feedbackName|String|反馈人姓名
&emsp;&emsp;feedback|String|反馈内容
&emsp;&emsp;feedbackTime|Date|跟踪时间
&emsp;&emsp;createMethod|String|创建方式
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人ID
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除主动关怀服务追踪

**请求URL:** care/constraint/track/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除主动关怀服务追踪

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/care/constraint/track/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 注册人员

### 查询注册人员列表

**请求URL:** person/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询注册人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;name|String|用户名称
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;gender|Integer|性别(0.男,1.女)
&emsp;&emsp;phone|String|手机号码
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;address|String|家庭住址
&emsp;&emsp;photo|String|照片路径
&emsp;&emsp;remark|String|备注
&emsp;&emsp;source|Integer|注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,99.其它)
&emsp;&emsp;inFaceHk|Integer|是否添加到海康人脸库(0.否，1.是)
&emsp;&emsp;indexCode|String|人脸的唯一标识
&emsp;&emsp;ifaceGroupIndexCode|String|人脸所属的人脸分组的唯一标识
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录
&emsp;inFaceHk|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看注册人员

**请求URL:** person/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看注册人员，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/person/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;name|String|用户名称
&emsp;idCard|String|身份证号码
&emsp;gender|Integer|性别(0.男,1.女)
&emsp;phone|String|手机号码
&emsp;birthday|Date|出生日期
&emsp;address|String|家庭住址
&emsp;photo|String|照片路径
&emsp;remark|String|备注
&emsp;source|Integer|注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,99.其它)
&emsp;inFaceHk|Integer|是否添加到海康人脸库(0.否，1.是)
&emsp;indexCode|String|人脸的唯一标识
&emsp;ifaceGroupIndexCode|String|人脸所属的人脸分组的唯一标识
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;gender|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录
&emsp;inFaceHk|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":786,
            "siteId":1582,
            "siteName":"pa5adv",
            "name":"jxu2nm",
            "idCard":"0e5hyc",
            "gender":9883,
            "phone":"6x1zj2",
            "birthday":"2023-04-09",
            "address":"x0te6h",
            "photo":"be7j7n",
            "remark":"06cbbw",
            "source":5164,
            "inFaceHk":1183,
            "indexCode":"gxlvhx",
            "ifaceGroupIndexCode":"1rnnsi",
            "createUserId":6955,
            "createTime":"2023-04-09",
            "updateUserId":4213,
            "updateTime":"2023-04-09"
        }
}
```

### 保存更新注册人员

**请求URL:** person/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新注册人员：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
name|String|否|用户名称
idCard|String|否|身份证号码
gender|Integer|是|性别(0.男,1.女)
phone|String|否|手机号码
birthday|Date|是|出生日期
address|String|是|家庭住址
photo|String|是|照片路径
remark|String|否|备注
source|Integer|否|注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,99.其它)
inFaceHk|Integer|是|是否添加到海康人脸库(0.否，1.是)
indexCode|String|否|人脸的唯一标识
ifaceGroupIndexCode|String|否|人脸所属的人脸分组的唯一标识

**请求样例:**
```
{
    "siteId":339,
    "siteName":"rvnjnh",
    "name":"m9oqmf",
    "idCard":"qhrq9z",
    "gender":452,
    "phone":"g3i1np",
    "birthday":"2023-04-09",
    "address":"83esjw",
    "photo":"7ybx8q",
    "remark":"ka1rj8",
    "source":304,
    "inFaceHk":5897,
    "indexCode":"2rj1el",
    "ifaceGroupIndexCode":"ryyi2t",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;name|String|用户名称
&emsp;&emsp;idCard|String|身份证号码
&emsp;&emsp;gender|Integer|性别(0.男,1.女)
&emsp;&emsp;phone|String|手机号码
&emsp;&emsp;birthday|Date|出生日期
&emsp;&emsp;address|String|家庭住址
&emsp;&emsp;photo|String|照片路径
&emsp;&emsp;remark|String|备注
&emsp;&emsp;source|Integer|注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,99.其它)
&emsp;&emsp;inFaceHk|Integer|是否添加到海康人脸库(0.否，1.是)
&emsp;&emsp;indexCode|String|人脸的唯一标识
&emsp;&emsp;ifaceGroupIndexCode|String|人脸所属的人脸分组的唯一标识
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除注册人员

**请求URL:** person/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除注册人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/person/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 设备业务

### 查询设备业务列表

**请求URL:** device/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询设备业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;deviceId|String|设备ID，海康
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceMac|String|设备的MAC地址
&emsp;&emsp;deviceLocation|String|设备位置
&emsp;&emsp;lon|String|经度
&emsp;&emsp;lati|String|纬度
&emsp;&emsp;floor|Integer|楼层
&emsp;&emsp;build|Integer|楼栋
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;timeOutPeriod|Integer|超时时间，单位天
&emsp;&emsp;nearTime|Integer|临近时间，单位天
&emsp;&emsp;deviceStatus|Integer|设备状态 (1.离线,2.在线)
&emsp;&emsp;deviceRemark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;deviceStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看设备业务

**请求URL:** device/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看设备业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/device/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;deviceId|String|设备ID，海康
&emsp;deviceName|String|设备名称
&emsp;deviceCode|String|设备编码
&emsp;deviceMac|String|设备的MAC地址
&emsp;deviceLocation|String|设备位置
&emsp;lon|String|经度
&emsp;lati|String|纬度
&emsp;floor|Integer|楼层
&emsp;build|Integer|楼栋
&emsp;leadingOfficial|String|负责人
&emsp;leadingOfficialTelephone|String|联系电话
&emsp;timeOutPeriod|Integer|超时时间，单位天
&emsp;nearTime|Integer|临近时间，单位天
&emsp;deviceStatus|Integer|设备状态 (1.离线,2.在线)
&emsp;deviceRemark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;deviceStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2032,
            "siteId":3776,
            "siteName":"2uhlnz",
            "deviceId":"gv0mdp",
            "deviceName":"b323c9",
            "deviceCode":"5cal0d",
            "deviceMac":"d0rhq9",
            "deviceLocation":"chtnw6",
            "lon":"vxvusf",
            "lati":"ylmckj",
            "floor":4324,
            "build":7418,
            "leadingOfficial":"v9hk66",
            "leadingOfficialTelephone":"o6q67t",
            "timeOutPeriod":9727,
            "nearTime":5325,
            "deviceStatus":3337,
            "deviceRemark":"j9ub86",
            "createUserId":9655,
            "createTime":"2023-04-09",
            "updateUserId":2464,
            "updateTime":"2023-04-09"
        }
}
```

### 保存更新设备业务

**请求URL:** device/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新设备业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
deviceId|String|否|设备ID，海康
deviceName|String|是|设备名称
deviceCode|String|否|设备编码
deviceMac|String|否|设备的MAC地址
deviceLocation|String|否|设备位置
lon|String|否|经度
lati|String|否|纬度
floor|Integer|否|楼层
build|Integer|否|楼栋
leadingOfficial|String|否|负责人
leadingOfficialTelephone|String|否|联系电话
timeOutPeriod|Integer|否|超时时间，单位天
nearTime|Integer|否|临近时间，单位天
deviceStatus|Integer|否|设备状态 (1.离线,2.在线)
deviceRemark|String|否|备注

**请求样例:**
```
{
    "siteId":1448,
    "siteName":"ql0iu9",
    "deviceId":"tbdtmi",
    "deviceName":"tr4ied",
    "deviceCode":"wfdw9k",
    "deviceMac":"617on9",
    "deviceLocation":"xkgwuf",
    "lon":"5zsnq3",
    "lati":"13rqd9",
    "floor":3349,
    "build":7100,
    "leadingOfficial":"wif3rt",
    "leadingOfficialTelephone":"7l42du",
    "timeOutPeriod":4785,
    "nearTime":7309,
    "deviceStatus":789,
    "deviceRemark":"v3r58i",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;deviceId|String|设备ID，海康
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceMac|String|设备的MAC地址
&emsp;&emsp;deviceLocation|String|设备位置
&emsp;&emsp;lon|String|经度
&emsp;&emsp;lati|String|纬度
&emsp;&emsp;floor|Integer|楼层
&emsp;&emsp;build|Integer|楼栋
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;timeOutPeriod|Integer|超时时间，单位天
&emsp;&emsp;nearTime|Integer|临近时间，单位天
&emsp;&emsp;deviceStatus|Integer|设备状态 (1.离线,2.在线)
&emsp;&emsp;deviceRemark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除设备业务

**请求URL:** device/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除设备业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/device/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}



```
## 第三方调用

### 查询注册人员列表

**请求URL:** device/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询注册人员列表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称| 参数类型    |描述
:---|:--------|:------
code| Integer |结果码（-1.失败，1.成功）
msg| String  |消息
data| object  |数据对象
&emsp;per_page| Integer |每页条数
&emsp;total| Integer |总条数
&emsp;last_page| Integer |总页数
&emsp;current_page| Integer |当前页
&emsp;data| array   |结果集列表|数组
&emsp;&emsp;id| String  |外部系统id
&emsp;&emsp;name| String  |用户名称
&emsp;&emsp;idCard| String  |身份证号码
&emsp;&emsp;gender| Integer |性别(0.男,1.女)
&emsp;&emsp;phone| String  |手机号码
&emsp;&emsp;birthday| Date    |出生日期（yyyy-MM-dd）
&emsp;&emsp;address| String  |家庭住址
&emsp;&emsp;picUri| String  |照片路径(路径与数据二选一)
&emsp;&emsp;picData| String  |照片数据（base64）

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

## 人员流量统计

### 查询人员流量统计列表

**请求URL:** realtime/dataflow/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询人员流量统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personSum|Integer|人流总数
&emsp;&emsp;strangerSum|Integer|陌生人数量
&emsp;&emsp;recoginzeSum|Integer|识别注册群众数量
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;hour|Integer|小时
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```


```
## 字典附录
### isBooking
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### checkInMethod
字典参数key|字典参数值|其它
:---|:---|:---
0|自动签到|-
1|手动签到|-
### processStatus
字典参数key|字典参数值|其它
:---|:---|:---
排队中.排队中|排队中.排队中|-
办理中.办理中|办理中.办理中|-
接件结束.接件结束|接件结束.接件结束|-
### used
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### monday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### tuesday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### wednesday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### thursday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### friday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### saturday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### sunday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### used
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### monday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### tuesday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### wednesday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### thursday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### friday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### saturday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### sunday
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### msgRecipients
字典参数key|字典参数值|其它
:---|:---|:---
办事群众.办事群众|办事群众.办事群众|-
管理员.管理员|管理员.管理员|-
### createMethod
字典参数key|字典参数值|其它
:---|:---|:---
0|手动创建|-
1|系统推荐|-
### constraint
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### createWay
字典参数key|字典参数值|其它
:---|:---|:---
1|人工创建|-
2|系统推荐|-
### track
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### gender
字典参数key|字典参数值|其它
:---|:---|:---
0|男|-
1|女|-
### source
字典参数key|字典参数值|其它
:---|:---|:---
0|预约系统|-
1|排队叫号系统|-
2|自助服务系统|-
99|其它|-
### inFaceHk
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### deviceStatus
字典参数key|字典参数值|其它
:---|:---|:---
1|离线|-
2|在线|-
