package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,99.其它)枚举类
*
* @author zxfei
*/
public enum SourceEnum {
    预约系统(0, "预约系统"),
    排队叫号系统(1, "排队叫号系统"),
    自助服务系统(2, "自助服务系统"),
    海康系统(3, "海康"),
    其它(99, "其它");
    private Integer value;
    private String desc;

    SourceEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static SourceEnum getByValue(Integer value) {
        for (SourceEnum sourceEnum : SourceEnum.values()) {
            if (sourceEnum.getValue() == value) {
                return sourceEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (SourceEnum item : SourceEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}