package com.mortals.xhx.module.appointment.web;
import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.YesNoEnum;
import com.mortals.xhx.module.appointment.model.AppointmentRecordsEntity;
import com.mortals.xhx.module.care.model.CareConfigEntity;
import com.mortals.xhx.module.care.model.CareConfigQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.appointment.model.AppointmentConfigEntity;
import com.mortals.xhx.module.appointment.service.AppointmentConfigService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 预约自动签到配置
*
* @author zxfei
* @date 2023-04-09
*/
@RestController
@RequestMapping("appointment/config")
public class AppointmentConfigController extends BaseCRUDJsonBodyMappingController<AppointmentConfigService,AppointmentConfigEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AppointmentConfigController(){
        super.setModuleDesc( "预约自动签到配置");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "used", paramService.getParamBySecondOrganize("AppointmentConfig","used"));
        this.addDict(model, "monday", paramService.getParamBySecondOrganize("AppointmentConfig","monday"));
        this.addDict(model, "tuesday", paramService.getParamBySecondOrganize("AppointmentConfig","tuesday"));
        this.addDict(model, "wednesday", paramService.getParamBySecondOrganize("AppointmentConfig","wednesday"));
        this.addDict(model, "thursday", paramService.getParamBySecondOrganize("AppointmentConfig","thursday"));
        this.addDict(model, "friday", paramService.getParamBySecondOrganize("AppointmentConfig","friday"));
        this.addDict(model, "saturday", paramService.getParamBySecondOrganize("AppointmentConfig","saturday"));
        this.addDict(model, "sunday", paramService.getParamBySecondOrganize("AppointmentConfig","sunday"));
        super.init(model, context);
    }


    @Override
    protected void saveBefore(AppointmentConfigEntity entity, Map<String, Object> model, Context context) throws AppException {
        super.saveBefore(entity, model, context);
        AppointmentConfigEntity appointmentConfigEntity = this.service.selectOne(new AppointmentConfigEntity(), context);
        if(!ObjectUtils.isEmpty(appointmentConfigEntity)){
            entity.setId(appointmentConfigEntity.getId());
        }

    }
}