package com.mortals.xhx.module.care.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.care.model.vo.CareRecordsVo;
import lombok.Data;
/**
 * 预约关怀记录实体对象
 *
 * @author zxfei
 * @date 2023-05-05
 */
@Data
public class CareRecordsEntity extends CareRecordsVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点Id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 个人信息ID
     */
    private Long personId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 联系方式
     */
    private String contact;
    /**
     * 身份证号码
     */
    private String idCard;
    /**
     * 业务Id
     */
    private Long bussinessId;
    /**
     * 预约业务
     */
    private String bussinessName;
    /**
     * 办理业务
     */
    private String service;
    /**
     * 排队编号
     */
    private String queueNo;
    /**
     * 排队开始时间
     */
    private Date takeTime;
    /**
     * 排队结束时间
     */
    private Date callTime;
    /**
     * 监测时间
     */
    private Date monitorTime;
    /**
     * 监测设备ids
     */
    private String monitorDeviceIds;
    /**
     * 监测设备
     */
    private String monitorDevice;
    /**
     * 最终等待时长分钟
     */
    private Integer waitTime;
    /**
     * 办理状态(排队中,办理中,接件结束)
     */
    private String processStatus;
    /**
     * 关怀次数
     */
    private Integer careCount;
    /**
     * 评价
     */
    private String assessment;
    /**
     * 短信发送次数
     */
    private Integer smsCount;
    /**
     * 等待流水号ID
     */
    private Long waitId;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CareRecordsEntity) {
            CareRecordsEntity tmp = (CareRecordsEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = "";

        this.personId = null;

        this.name = "";

        this.contact = "";

        this.idCard = "";

        this.bussinessId = null;

        this.bussinessName = "";

        this.service = "";

        this.queueNo = "";

        this.takeTime = null;

        this.callTime = null;

        this.monitorTime = null;

        this.monitorDeviceIds = "";

        this.monitorDevice = "";

        this.waitTime = null;

        this.processStatus = "排队中";

        this.careCount = 0;

        this.assessment = "";

        this.smsCount = 0;

        this.waitId = null;
    }
}