package com.mortals.xhx.module.care.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.care.model.CareRecordsEntity;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import lombok.Data;
/**
 * 预约关怀记录视图对象
 *
 * @author zxfei
 * @date 2023-04-18
 */
@Data
public class CareRecordsVo extends BaseEntityLong {

    /**
     * 个人信息ID
     */
    @Excel(name = "个人信息ID")
    private Long personId;
    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String name;
    /**
     * 联系方式
     */
    @Excel(name = "联系方式")
    private String contact;
    /**
     * 身份证号码
     */
    @Excel(name = "身份证号码")
    private String idCard;
    /**
     * 预约业务
     */
    @Excel(name = "预约业务")
    private String bussinessName;
    /**
     * 办理业务
     */
    @Excel(name = "办理业务")
    private String service;
    /**
     * 排队编号
     */
    @Excel(name = "排队编号")
    private String queueNo;
    /**
     * 排队开始时间
     */
    @Excel(name = "排队开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date takeTime;
    /**
     * 监测时间
     */
    @Excel(name = "监测时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date monitorTime;
    /**
     * 监测设备ids
     */
    @Excel(name = "监测设备ids")
    private String monitorDeviceIds;
    /**
     * 监测设备
     */
    @Excel(name = "监测设备")
    private String monitorDevice;
    /**
     * 最终等待时长，秒
     */
    @Excel(name = "最终等待时长，秒")
    private Integer waitTime;
    /**
     * 办理状态(排队中,办理中,接件结束)
     */
    @Excel(name = "办理状态", readConverterExp = "办理状态(排队中,办理中,接件结束)")
    private String processStatus;

    /** 开始 监测时间 */
    private String monitorTimeStart;

    /** 结束 监测时间 */
    private String monitorTimeEnd;

}