package com.mortals.xhx.module.hik.event.model.req.callback;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.common.Rest;
import com.mortals.xhx.module.hik.event.model.req.callback.recognition.EventData;
import lombok.Data;
import org.apache.poi.ss.formula.functions.T;

import java.util.Date;

@Data
public class EventsItem {
    //事件唯一标识
    private String eventId;
    //事件数据
    private EventData data;
    //事件类型
    private Integer eventType;
    //事件源编号，物理设备是资源编号
    private String srcIndex;
    //事件类别
    private String ability;
    //事件源类型
    private String srcType;
    //脉冲超时时间
    private Integer timeout;
    /**
     * 事件发生时间（设备时间）
     */
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXXX")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
    private Date happenTime;
    /**
     * 事件状态
     * 0-瞬时
     * 1-开始
     * 2-停止
     * 3-事件脉冲
     * 4-事件联动结果更新
     */
    private int status;
}