package com.mortals.xhx.module.hik.event.service;


import com.mortals.framework.common.Rest;
import com.mortals.xhx.module.hik.event.model.req.callback.EventReq;
import com.mortals.xhx.module.hik.event.model.req.sub.EventSubReq;
import com.mortals.xhx.module.hik.event.model.rsp.EventInfo;

import java.util.List;

/**
 * 海康事件接口对接类
 *
 * @author:
 * @date: 2023/4/12 17:47
 */
public interface IHikEventService {

    /**
     * 订阅事件
     *
     * @param eventSubReq
     * @return
     */
    Rest<String> subEvent(EventSubReq eventSubReq);

    /**
     * 获取当前合作方订阅的事件
     * @return
     */
    Rest<List<EventInfo>> getEvents();

    /**
     * 取消订阅事件
     *
     * @param eventSubReq
     * @return
     */
    Rest<String> cancelEvent(EventSubReq eventSubReq);


    /**
     * 处理回调事件
     *
     * @param eventRecognBlackReq
     * @return
     */
    Rest<String> handleEvent(EventReq eventRecognBlackReq);

}
