package com.mortals.xhx.module.hik.face.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.hik.face.model.FacePlanEntity;
import com.mortals.xhx.module.hik.face.model.rsp.plan.PlanRecognInfo;

import java.util.List;

/**
 * FacePlanService
 * <p>
 * 人员识别计划信息 service接口
 *
 * @author zxfei
 * @date 2023-04-15
 */
public interface FacePlanService extends ICRUDService<FacePlanEntity, Long> {

    /**
     * 创建陌生人监控计划
     */
    Rest<List<PlanRecognInfo>> createStrangerPlan();

    /**
     * 创建陌生人监控计划
     */
    Rest<List<PlanRecognInfo>> createStrangerPlanByDay();

    /**
     * 每日创建预约人员监控计划
     */
    void createAppointmentPersonByDay();
    /**
     * 创建预约人员监控计划
     */
    Rest<String> createAppointmentPlan();
}