package com.mortals.xhx.module.hik.face.service;


import com.mortals.framework.common.Rest;
import com.mortals.xhx.module.hik.face.model.req.plan.PlanRecognListReq;
import com.mortals.xhx.module.hik.face.model.req.plan.PlanRecognReq;
import com.mortals.xhx.module.hik.face.model.rsp.plan.PlanRecognInfo;

import java.util.List;

/**
 * 海康门禁接口对接类
 *
 * @author:
 * @date: 2023/4/12 17:47
 */
public interface IHikPlanService {


    /**
     * 查询重点识别计划
     *
     * @param planRecognListReq
     * @return
     */
    Rest<List<PlanRecognInfo>> findPlanRecognBlackList(PlanRecognListReq planRecognListReq);

    /**
     * 添加人员监视计划
     *
     * @param planRecognReq
     * @return
     */
    Rest<String> planRecognBlackAdd(PlanRecognReq planRecognReq);

    /**
     * 人员监视计划删除
     *
     * @param planRecognReq
     * @return
     */
    Rest<Boolean> planRecognBlackDel(PlanRecognReq planRecognReq);


    /**
     * 查询陌生人识别计划
     *
     * @param planRecognListReq
     * @return
     */
    Rest<List<PlanRecognInfo>> findPlanRecognWhiteList(PlanRecognListReq planRecognListReq);

    /**
     * 添加陌生人监视计划
     *
     * @param planRecognReq
     * @return
     */
    Rest<String> planRecognWhiteAdd(PlanRecognReq planRecognReq);

    /**
     * 更新陌生人监视计划
     *
     * @param planRecognReq
     * @return
     */
    Rest<Boolean> planRecognWhiteUpdate(PlanRecognReq planRecognReq);

    /**
     * 陌生人人员监视计划删除
     *
     * @param planRecognReq
     * @return
     */
    Rest<Boolean> planRecognWhiteDel(PlanRecognReq planRecognReq);


    /**
     * 陌生人监视计划重新下发
     *
     * @param planRecognReq
     * @return
     */
    Rest<Boolean> planRecognWhiteReStart(PlanRecognReq planRecognReq);

}
