package com.mortals.xhx.module.realtime.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.OrderCol;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.realtime.model.RealtimeDataflowEntity;
import com.mortals.xhx.module.realtime.service.RealtimeDataflowService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import com.alibaba.fastjson.JSONObject;

import java.util.Arrays;

import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import static com.mortals.framework.ap.SysConstains.*;

/**
 * 人员发现记录
 *
 * @author zxfei
 * @date 2023-04-09
 */
@RestController
@RequestMapping("realtime/dataflow")
public class RealtimeDataflowController extends BaseCRUDJsonBodyMappingController<RealtimeDataflowService, RealtimeDataflowEntity, Long> {

    @Autowired
    private ParamService paramService;

    public RealtimeDataflowController() {
        super.setModuleDesc("人员发现记录");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "isBooking", paramService.getParamBySecondOrganize("RealtimeDataflow", "isBooking"));
        super.init(model, context);
    }

    @Override
    protected void doListBefore(RealtimeDataflowEntity query, Map<String, Object> model, Context context) throws AppException {
        query.setOrderColList(Arrays.asList(new OrderCol("createTime", OrderCol.DESCENDING)));
        super.doListBefore(query, model, context);
    }
}